rt-shredder(8)

NAME
rt-shredder - Script which wipes out tickets from RT DB

SYNOPSIS
  rt-shredder --plugin list
  rt-shredder --plugin help-Tickets
  rt-shredder --plugin 'Tickets=query,Queue="general" and Status="deleted"'

  rt-shredder --sqldump unshred.sql --plugin ...
  rt-shredder --force --plugin ...

DESCRIPTION
rt-shredder wipes out objects from your RT database. This script uses an API that the RT::Shredder module adds to RT. This script can also be used as example of usage of the shredder API.

USAGE
You can use several options to control which objects rt-shredder should wipe out.

When using other options, the --plugin option must be provided last.

OPTIONS

  --sqldump <filename>
Outputs INSERT queries into a file for all shredded records. This dump can be used to restore data after wiping out.

By default rt-shredder creates files named <ISO_date>-XXXX.sql in the current directory.

  --no-sqldump
Don't generate the SQL dump file.

The SQL dump file provides you with a way to "undo" the removal of records from your RT database, if needed. Use this option only if you are sure you have a recent, valid database backup in case you need to recover data that may have been shredded in error.

  --object (DEPRECATED)
Option has been deprecated, use plugin "Objects" instead.

  --plugin '<plugin name>[=<arg>,<val>[;<arg>,<val>]...]'
You can use plugins to select RT objects with various conditions. See also --plugin list and --plugin help options.

  --plugin list
Output list of the available plugins.

  --plugin help-<plugin name>
Outputs help for specified plugin.

  --force
Don't prompt with questions before shredding objects.

SEE ALSO
RT::Shredder